## ros-kinetic-homer-mapping 0.1.53

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(homer_mapping)

find_package(
	catkin REQUIRED COMPONENTS
		roscpp
		homer_mapnav_msgs
		sensor_msgs
		nav_msgs
		homer_nav_libs
		tf
		roslib
)
find_package(OpenMP)
if (OPENMP_FOUND)
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
endif()
find_package(tf REQUIRED)
find_package(Eigen3 REQUIRED)

# eigen 3.2 (wily) only provdies EIGEN3_INCLUDE_DIR, not EIGEN3_INCLUDE_DIRS
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
find_package(Qt5 REQUIRED COMPONENTS Core Widgets)


set(CMAKE_BUILD_TYPE Release)


include_directories(
	include
	${catkin_INCLUDE_DIRS}
	${EIGEN3_INCLUDE_DIRS}
	${Qt5Core_INCLUDE_DIRS}
	${Qt5Widgets_INCLUDE_DIRS}
)

catkin_package(
	INCLUDE_DIRS include
	CATKIN_DEPENDS
		roscpp
		homer_mapnav_msgs
		homer_nav_libs
		nav_msgs
		tf
		roslib
	LIBRARIES homerOccupancyMap homerParticleFilter
)

add_library(homerOccupancyMap
	src/OccupancyMap/OccupancyMap.cpp
	
)

target_link_libraries(
	homerOccupancyMap
		${catkin_LIBRARIES}
		${tf_LIBRARIES}
		${Qt5Core_LIBRARIES}
		${Qt5Widgets_LIBRARIES}
)
set(
	ParticleFilter_SRC
		src/ParticleFilter/HyperSlamFilter.cpp
		src/ParticleFilter/SlamParticle.cpp
		src/ParticleFilter/SlamFilter.cpp
		src/ParticleFilter/Particle.cpp
)

add_library(
	homerParticleFilter
		${ParticleFilter_SRC}
)

target_link_libraries(
	homerParticleFilter
		${catkin_LIBRARIES}
)

add_executable(homer_mapping src/slam_node.cpp)

target_link_libraries(
	homer_mapping
		${catkin_LIBRARIES}
		homerParticleFilter
		homerOccupancyMap
)

add_dependencies(
	homer_mapping
		${catkin_EXPORTED_TARGETS}
)

install(DIRECTORY include/${PROJECT_NAME}/
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS homerOccupancyMap homerParticleFilter homer_mapping
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
	  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY config/
	  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

=== debian/changelog ===
ros-kinetic-homer-mapping (0.1.53-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 17 Jan 2019 16:20:35 -0000

ros-kinetic-homer-mapping (0.1.41-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 10 Apr 2018 22:00:00 -0000

ros-kinetic-homer-mapping (0.1.40-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 10 Apr 2018 22:00:00 -0000

ros-kinetic-homer-mapping (0.1.39-0xenial) xenial; urgency=high

  * Merge branch 'ld_fix_tiago_tf' into 'master'
    Update slam_node.cpp
    See merge request robbie/homer_mapping!17
  * Update slam_node.cpp
  * Contributors: Lukas Debald, Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 13 Nov 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.38-0xenial) xenial; urgency=high

  * Merge branch 'ld_fix_tiago_tf' into 'master'
    Ld fix tiago tf
    See merge request robbie/homer_mapping!16
  * fix param
  * add param
  * add parametrization
  * inverted tf
  * init branch
  * Contributors: Raphael Memmesheimer, lukas

 -- Florian Polster <fpolster@uni-koblenz.de>  Sun, 12 Nov 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.37-0xenial) xenial; urgency=high

  * Merge branch 'master' of gitlab.uni-koblenz.de:robbie/homer_mapping
  * parameterize mapping with different config files
  * Contributors: Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 07 Nov 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.21-0xenial) xenial; urgency=high

  * clang format
  * merge with clang format
  * clang format
  * clang merge
  * autoformat
  * lazy pose array publisher
  * send merged map on masking update
  * dont paint contrast border arround error points
  * when map was loaded transform wasn't fetched -> fixed
  * removed unused parameter - added info output - changed to simpler interface
  * use right stamp for transform
  * remove pointer
  * refactor
  * mapping with support for holonomic odometry readings
  * more rotational diversity
  * holonmic drive particles
  * use dynamic laser frame and don't hang on startup when transform is not there
  * do map update at max all 0.2 sec not automatically all 0.2 sec
  * Contributors: Florian Polster, Lisa, Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 20 Mar 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.19-0xenial) xenial; urgency=high

  * enable smaller moves to be able to use higher odometry rates
  * no ros.spin spinOnce instead
  * use the loop_rate
  * Contributors: Florian Polster, Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 01 Mar 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.18-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 27 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.17-0xenial) xenial; urgency=high

  * Eigen3 INCLUDE_DIR fix
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Sat, 25 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.16-0xenial) xenial; urgency=high

  * changed maintainer
  * Contributors: Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 22 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.15-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 15 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.14-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 09 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.13-0xenial) xenial; urgency=high

  * best changelog ever
  * Contributors: Florian Polster

 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 09 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.12-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 08 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.11-0xenial) xenial; urgency=high

  * cool changelogs
  * navigation with dynamic maps
  * dynamic masking map
  * no more squared maps
  * dynamic map size and wall kernel
  * dynamic map size
  * Contributors: Lisa
  * navigation with dynamic maps
  * dynamic masking map
  * no more squared maps
  * dynamic map size and wall kernel
  * dynamic map size
  * Contributors: Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 18 Jan 2017 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.10-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 07 Dec 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.9-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 22 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.8-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Sun, 20 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.7-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 16 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.6-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 03 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.5-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 03 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.4-0xenial) xenial; urgency=high

  * updated changelog
  * fixes
  * Contributors: Niklas Yann Wettengel
  * fixes
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.3-0xenial) xenial; urgency=high

  * more fixes
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapping (0.1.2-0xenial) xenial; urgency=high

  * install launch files
  * Contributors: Niklas Yann Wettengel



=== debian/control ===
Source: ros-kinetic-homer-mapping
Section: misc
Priority: extra
Maintainer: Florian Polster <fpolster@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libqt5core5a, libqt5gui5, libqt5widgets5, qtbase5-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-homer-mapnav-msgs, ros-kinetic-homer-nav-libs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-homer-mapping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libqt5core5a, libqt5gui5, libqt5widgets5, ros-kinetic-homer-mapnav-msgs, ros-kinetic-homer-nav-libs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Description: homer_mapping

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-homer-mapping//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
